#ifndef PRINTF_H
#define PRINTF_H

#include <stdarg.h>
#include <stdint.h>
#include <ti_msp_dl_config.h>
#include <string.h>
#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

    void Print_init();

    // 格式化输出函数
    void print(const char *format, ...);

    // 简单字符串输出（可选）
    void print_str(const char *str);

    // 单字符发送（可选）
    void print_char(char ch);

#ifdef __cplusplus
}
#endif

#endif // PRINTF_H
